%global _empty_manifest_terminate_build 0


Summary:        Generic Key Manager interface for OpenStack
Name:           python-castellan
Version:        4.1.0
Release:        2%{?dist}
Group:          Development/Languages
License:        ASL 2.0
URL:            http://git.openstack.org/cgit/openstack/castellan
Source0:        https://tarballs.openstack.org/castellan/castellan-%{version}.tar.gz

BuildArch:      noarch

BuildRequires: python3-keystoneauth1 python3-requests python3-testrepository
BuildRequires: python3-oslo-utils python3-oslotest python3-barbicanclient python3-cryptography
BuildRequires: python3-mock python3-testtools python3-oslo-config python3-oslo-log python3-requests-mock
BuildRequires: python3-devel python3-setuptools python3-pbr

%description
Generic Key Manager interface for OpenStack

%package -n python3-castellan
Summary:    OpenStack common configuration library
Requires:       python3-barbicanclient >= 4.5.2 python3-cryptography
Requires:       python3-keystoneauth1 >= 3.4.0 python3-oslo-config
Requires:       python3-oslo-context >= 2.19.2 python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-log >= 3.36.0 python3-oslo-utils >= 3.33.0
Requires:       python3-stevedore >= 1.20.0 python3-requests >= 2.18.0
Requires:       python3-pbr

%description -n python3-castellan
Generic Key Manager interface for OpenStack

%prep
%autosetup -n castellan-%{version} -p1
rm -rf *requirements.txt

%build
%py3_build

%install
%py3_install

%check
PYTHON=python3 OS_TEST_PATH=./castellan/tests/unit python3 setup.py test

%files -n python3-castellan
%doc README.rst LICENSE
%{python3_sitelib}/castellan
%{python3_sitelib}/castellan-*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 cunshunxia <cunshunxia@tencent.com> - 4.1.0-1
- initial build
